Subject: Re: bug#39363: emacs-git version: pthread_setname_np on NetBSD

From: Eli Zaretskii <[email-masked]>
Date: Fri, 31 Jan 2020 09:48:13 +0200

> Date: Fri, 31 Jan 2020 00:02:13 +0100
> From: Thomas Klausner <[email-masked]>
> 
> Recently, emacs from git stopped compiling on NetBSD because it
> started using pthread_setname_np. AFAIK, there is no commonly agreed
> upon standard for this function, and NetBSD's uses three arguments, see
> https://netbsd.gw.com/cgi-bin/man-cgi?pthread_setname_np++NetBSD-current
> 
> The attached patch makes emacs compile again (on NetBSD-9.99.43/amd64)
> but configure should probably be taught to look for that version of
> pthread_setname_np instead of the #ifdef __NetBSD__.

I think we want instead to modify the configure-time test to include
the possibility of 3-argument pthread_setname_np.

Thanks.